Subject: Re: bug#48024: glib-2.62.6 build fails i686

From: Mark H Weaver <[email-masked]>
Date: Wed, 05 May 2021 20:20:44 -0400

Hi,

Bone Baboon <[email-masked]> writes:

> Efraim Flashner writes:
>> I looked closer at the bug report and I see they are timing out at 60
>> and 180 for Bone Baboon as they currently are.
>>
>> Bone Baboon: Can you build the attached test-glib.scm file and send back
>> the build log? I want to make sure I change the timeout to something
>> long enough.
>>
>> You can build it with 'guix build -f test-glib.scm'
>
> I ran `guix build --file=test-glib.scm` and I was successful.

That's good news!

> I was having trouble finding the build log.

Here's one way to find it:

$ cd /var/log/guix/drvs
$ ls -ltr */*-glib-2* | tail

The very small log files are the result of grafting derivations.
Look for the most recent one that's more than 1K.

Alternatively, it _might_ work to run:

$ guix build --log-file --file=test-glib.scm

    Thanks,
      Mark

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.